{
    "doc": "Variant File Header. Contains simple and complex metadata lines describing the content of the file.\n    This header matches with the VCF header.\n    A header may have multiple Simple or Complex lines with the same key",
    "fields": [
        {
            "name": "version",
            "type": "string"
        },
        {
            "default": [],
            "doc": "complex lines, e.g. INFO=<ID=NS,Number=1,Type=Integer,Description=\"Number of samples with data\">",
            "name": "complexLines",
            "type": {
                "items": {
                    "fields": [
                        {
                            "doc": "Key of group of the Complex Header Line, e.g. INFO, FORMAT, FILTER, ALT, ...",
                            "name": "key",
                            "type": "string"
                        },
                        {
                            "doc": "ID or Name of the line",
                            "name": "id",
                            "type": "string"
                        },
                        {
                            "default": null,
                            "doc": "The description",
                            "name": "description",
                            "type": [
                                "null",
                                "string"
                            ]
                        },
                        {
                            "default": null,
                            "doc": "Arity of the values associated with this metadata line.\n        Only present if the metadata line describes data fields, i.e. key == INFO or FORMAT\n        Accepted values:\n          - <Integer>: The field has always this number of values.\n          - A: The field has one value per alternate allele.\n          - R: The field has one value for each possible allele, including the reference.\n          - G: The field has one value for each possible genotype\n          - .: The number of possible values varies, is unknown or unbounded.",
                            "name": "number",
                            "type": [
                                "null",
                                "string"
                            ]
                        },
                        {
                            "default": null,
                            "doc": "Type of the values associated with this metadata line.\n        Only present if the metadata line describes data fields, i.e. key == INFO or FORMAT\n        Accepted values:\n          - Integer\n          - Float\n          - String\n          - Character\n          - Flag",
                            "name": "type",
                            "type": [
                                "null",
                                "string"
                            ]
                        },
                        {
                            "default": {},
                            "doc": "Other optional fields",
                            "name": "genericFields",
                            "type": {
                                "type": "map",
                                "values": "string"
                            }
                        }
                    ],
                    "name": "VariantFileHeaderComplexLine",
                    "type": "record"
                },
                "type": "array"
            }
        },
        {
            "default": [],
            "doc": "simple lines, e.g. fileDate=20090805",
            "name": "simpleLines",
            "type": {
                "items": {
                    "fields": [
                        {
                            "doc": "Key of group of the Simple Header Line, e.g. source, assembly, pedigreeDB, ...",
                            "name": "key",
                            "type": "string"
                        },
                        {
                            "doc": "Value",
                            "name": "value",
                            "type": "string"
                        }
                    ],
                    "name": "VariantFileHeaderSimpleLine",
                    "type": "record"
                },
                "type": "array"
            }
        }
    ],
    "name": "VariantFileHeader",
    "namespace": "org.opencb.biodata.models.variant.metadata",
    "type": "record"
}